Bug 69107 - Mouse acts erratic on switching between PCs with KVM box
Mouse acts erratic on switching between PCs with KVM box
Product: Red Hat Linux
Classification: Retired
Component: mouseconfig (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-07-17 17:00 EDT by William
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-18 12:27:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description William 2002-07-17 17:00:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
with OMNIcube 2 PORT KVM box, (F1D092).  Works fine till I switch to other pc 
and then back.....mouse goes crazy and then the cursor goes to the top corner 
and wont work, computer starts beeping, only way to get back in is to shut 
computer off physically then do your thing on the Machine and then shut down 
before switching to Windows pc.  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Turned PC rebooted then tried to switch to Linux

Actual Results:  Same as problem description

Expected Results:  Mouse should work fine.

Additional info:
Comment 1 William 2002-07-31 14:18:14 EDT
I REALLY WANT TO fix this, can anyone help me.
Comment 2 William 2002-07-31 14:19:38 EDT
I really want this to be fix, anyone help please.
Comment 3 William 2002-08-21 13:38:18 EDT
Interesting, I was using a black compaq mouse that comes with the new Evos, 
made by Logitech.  When I finally switched to a MS mouse it was fine....this 
is a fix Belkin gave me.
Comment 4 Brent Fox 2002-08-27 21:49:49 EDT
As I understand it, we can't officially support KVM's for a number of reasons. 
This came up on our beta tester mailing list, and here's snippet of one of the

Just for the record, we officially do not support KVM switches.  
I have and use one, and many other developers here do also, as
well as many users.  While they may work fine, bugs that occur
only when a KVM is used, are not supported.  The reason being
that one would require the specific KVM switch in order to debug
the issue, and we simply do not have all of the available
hardware combinations that are out there.  In addition, almost
all KVM related bugs are bugs in the KVM itself.

If your KVM has firmware that is upgradeable, or similar, make 
sure you're using the latest firmware.  You may also need to 
change your mouse configuration when using a KVM.  On some KVM's 
you need to switch to the console and back in order for your 
mouse pointer to become functional again after a switch.

Note You need to log in before you can comment on or make changes to this bug.